package com.mvc.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class TPipelineLeakageExample {
    /**
     * t_pipeline_leakage
     */
    protected String orderByClause;

    /**
     * t_pipeline_leakage
     */
    protected boolean distinct;

    /**
     * t_pipeline_leakage
     */
    protected List<Criteria> oredCriteria;

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    public TPipelineLeakageExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2025-07-02 11:30:08
    */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNull() {
            addCriterion("STATION_CODE is null");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNotNull() {
            addCriterion("STATION_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andStationCodeEqualTo(String value) {
            addCriterion("STATION_CODE =", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotEqualTo(String value) {
            addCriterion("STATION_CODE <>", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThan(String value) {
            addCriterion("STATION_CODE >", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_CODE >=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThan(String value) {
            addCriterion("STATION_CODE <", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThanOrEqualTo(String value) {
            addCriterion("STATION_CODE <=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLike(String value) {
            addCriterion("STATION_CODE like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotLike(String value) {
            addCriterion("STATION_CODE not like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeIn(List<String> values) {
            addCriterion("STATION_CODE in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotIn(List<String> values) {
            addCriterion("STATION_CODE not in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeBetween(String value1, String value2) {
            addCriterion("STATION_CODE between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotBetween(String value1, String value2) {
            addCriterion("STATION_CODE not between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeIsNull() {
            addCriterion("UNIT_CODE is null");
            return (Criteria) this;
        }

        public Criteria andUnitCodeIsNotNull() {
            addCriterion("UNIT_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andUnitCodeEqualTo(String value) {
            addCriterion("UNIT_CODE =", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotEqualTo(String value) {
            addCriterion("UNIT_CODE <>", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeGreaterThan(String value) {
            addCriterion("UNIT_CODE >", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeGreaterThanOrEqualTo(String value) {
            addCriterion("UNIT_CODE >=", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLessThan(String value) {
            addCriterion("UNIT_CODE <", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLessThanOrEqualTo(String value) {
            addCriterion("UNIT_CODE <=", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLike(String value) {
            addCriterion("UNIT_CODE like", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotLike(String value) {
            addCriterion("UNIT_CODE not like", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeIn(List<String> values) {
            addCriterion("UNIT_CODE in", values, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotIn(List<String> values) {
            addCriterion("UNIT_CODE not in", values, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeBetween(String value1, String value2) {
            addCriterion("UNIT_CODE between", value1, value2, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotBetween(String value1, String value2) {
            addCriterion("UNIT_CODE not between", value1, value2, "unitCode");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNull() {
            addCriterion("CREATE_MAN is null");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNotNull() {
            addCriterion("CREATE_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andCreateManEqualTo(String value) {
            addCriterion("CREATE_MAN =", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotEqualTo(String value) {
            addCriterion("CREATE_MAN <>", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThan(String value) {
            addCriterion("CREATE_MAN >", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN >=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThan(String value) {
            addCriterion("CREATE_MAN <", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN <=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLike(String value) {
            addCriterion("CREATE_MAN like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotLike(String value) {
            addCriterion("CREATE_MAN not like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManIn(List<String> values) {
            addCriterion("CREATE_MAN in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotIn(List<String> values) {
            addCriterion("CREATE_MAN not in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManBetween(String value1, String value2) {
            addCriterion("CREATE_MAN between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotBetween(String value1, String value2) {
            addCriterion("CREATE_MAN not between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andPreTaskIdIsNull() {
            addCriterion("PRE_TASK_ID is null");
            return (Criteria) this;
        }

        public Criteria andPreTaskIdIsNotNull() {
            addCriterion("PRE_TASK_ID is not null");
            return (Criteria) this;
        }

        public Criteria andPreTaskIdEqualTo(Integer value) {
            addCriterion("PRE_TASK_ID =", value, "preTaskId");
            return (Criteria) this;
        }

        public Criteria andPreTaskIdNotEqualTo(Integer value) {
            addCriterion("PRE_TASK_ID <>", value, "preTaskId");
            return (Criteria) this;
        }

        public Criteria andPreTaskIdGreaterThan(Integer value) {
            addCriterion("PRE_TASK_ID >", value, "preTaskId");
            return (Criteria) this;
        }

        public Criteria andPreTaskIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("PRE_TASK_ID >=", value, "preTaskId");
            return (Criteria) this;
        }

        public Criteria andPreTaskIdLessThan(Integer value) {
            addCriterion("PRE_TASK_ID <", value, "preTaskId");
            return (Criteria) this;
        }

        public Criteria andPreTaskIdLessThanOrEqualTo(Integer value) {
            addCriterion("PRE_TASK_ID <=", value, "preTaskId");
            return (Criteria) this;
        }

        public Criteria andPreTaskIdIn(List<Integer> values) {
            addCriterion("PRE_TASK_ID in", values, "preTaskId");
            return (Criteria) this;
        }

        public Criteria andPreTaskIdNotIn(List<Integer> values) {
            addCriterion("PRE_TASK_ID not in", values, "preTaskId");
            return (Criteria) this;
        }

        public Criteria andPreTaskIdBetween(Integer value1, Integer value2) {
            addCriterion("PRE_TASK_ID between", value1, value2, "preTaskId");
            return (Criteria) this;
        }

        public Criteria andPreTaskIdNotBetween(Integer value1, Integer value2) {
            addCriterion("PRE_TASK_ID not between", value1, value2, "preTaskId");
            return (Criteria) this;
        }

        public Criteria andPostTaskIdIsNull() {
            addCriterion("POST_TASK_ID is null");
            return (Criteria) this;
        }

        public Criteria andPostTaskIdIsNotNull() {
            addCriterion("POST_TASK_ID is not null");
            return (Criteria) this;
        }

        public Criteria andPostTaskIdEqualTo(Integer value) {
            addCriterion("POST_TASK_ID =", value, "postTaskId");
            return (Criteria) this;
        }

        public Criteria andPostTaskIdNotEqualTo(Integer value) {
            addCriterion("POST_TASK_ID <>", value, "postTaskId");
            return (Criteria) this;
        }

        public Criteria andPostTaskIdGreaterThan(Integer value) {
            addCriterion("POST_TASK_ID >", value, "postTaskId");
            return (Criteria) this;
        }

        public Criteria andPostTaskIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("POST_TASK_ID >=", value, "postTaskId");
            return (Criteria) this;
        }

        public Criteria andPostTaskIdLessThan(Integer value) {
            addCriterion("POST_TASK_ID <", value, "postTaskId");
            return (Criteria) this;
        }

        public Criteria andPostTaskIdLessThanOrEqualTo(Integer value) {
            addCriterion("POST_TASK_ID <=", value, "postTaskId");
            return (Criteria) this;
        }

        public Criteria andPostTaskIdIn(List<Integer> values) {
            addCriterion("POST_TASK_ID in", values, "postTaskId");
            return (Criteria) this;
        }

        public Criteria andPostTaskIdNotIn(List<Integer> values) {
            addCriterion("POST_TASK_ID not in", values, "postTaskId");
            return (Criteria) this;
        }

        public Criteria andPostTaskIdBetween(Integer value1, Integer value2) {
            addCriterion("POST_TASK_ID between", value1, value2, "postTaskId");
            return (Criteria) this;
        }

        public Criteria andPostTaskIdNotBetween(Integer value1, Integer value2) {
            addCriterion("POST_TASK_ID not between", value1, value2, "postTaskId");
            return (Criteria) this;
        }

        public Criteria andStartAireadIdIsNull() {
            addCriterion("START_AIREAD_ID is null");
            return (Criteria) this;
        }

        public Criteria andStartAireadIdIsNotNull() {
            addCriterion("START_AIREAD_ID is not null");
            return (Criteria) this;
        }

        public Criteria andStartAireadIdEqualTo(Integer value) {
            addCriterion("START_AIREAD_ID =", value, "startAireadId");
            return (Criteria) this;
        }

        public Criteria andStartAireadIdNotEqualTo(Integer value) {
            addCriterion("START_AIREAD_ID <>", value, "startAireadId");
            return (Criteria) this;
        }

        public Criteria andStartAireadIdGreaterThan(Integer value) {
            addCriterion("START_AIREAD_ID >", value, "startAireadId");
            return (Criteria) this;
        }

        public Criteria andStartAireadIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("START_AIREAD_ID >=", value, "startAireadId");
            return (Criteria) this;
        }

        public Criteria andStartAireadIdLessThan(Integer value) {
            addCriterion("START_AIREAD_ID <", value, "startAireadId");
            return (Criteria) this;
        }

        public Criteria andStartAireadIdLessThanOrEqualTo(Integer value) {
            addCriterion("START_AIREAD_ID <=", value, "startAireadId");
            return (Criteria) this;
        }

        public Criteria andStartAireadIdIn(List<Integer> values) {
            addCriterion("START_AIREAD_ID in", values, "startAireadId");
            return (Criteria) this;
        }

        public Criteria andStartAireadIdNotIn(List<Integer> values) {
            addCriterion("START_AIREAD_ID not in", values, "startAireadId");
            return (Criteria) this;
        }

        public Criteria andStartAireadIdBetween(Integer value1, Integer value2) {
            addCriterion("START_AIREAD_ID between", value1, value2, "startAireadId");
            return (Criteria) this;
        }

        public Criteria andStartAireadIdNotBetween(Integer value1, Integer value2) {
            addCriterion("START_AIREAD_ID not between", value1, value2, "startAireadId");
            return (Criteria) this;
        }

        public Criteria andEndAireadIdIsNull() {
            addCriterion("END_AIREAD_ID is null");
            return (Criteria) this;
        }

        public Criteria andEndAireadIdIsNotNull() {
            addCriterion("END_AIREAD_ID is not null");
            return (Criteria) this;
        }

        public Criteria andEndAireadIdEqualTo(Integer value) {
            addCriterion("END_AIREAD_ID =", value, "endAireadId");
            return (Criteria) this;
        }

        public Criteria andEndAireadIdNotEqualTo(Integer value) {
            addCriterion("END_AIREAD_ID <>", value, "endAireadId");
            return (Criteria) this;
        }

        public Criteria andEndAireadIdGreaterThan(Integer value) {
            addCriterion("END_AIREAD_ID >", value, "endAireadId");
            return (Criteria) this;
        }

        public Criteria andEndAireadIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("END_AIREAD_ID >=", value, "endAireadId");
            return (Criteria) this;
        }

        public Criteria andEndAireadIdLessThan(Integer value) {
            addCriterion("END_AIREAD_ID <", value, "endAireadId");
            return (Criteria) this;
        }

        public Criteria andEndAireadIdLessThanOrEqualTo(Integer value) {
            addCriterion("END_AIREAD_ID <=", value, "endAireadId");
            return (Criteria) this;
        }

        public Criteria andEndAireadIdIn(List<Integer> values) {
            addCriterion("END_AIREAD_ID in", values, "endAireadId");
            return (Criteria) this;
        }

        public Criteria andEndAireadIdNotIn(List<Integer> values) {
            addCriterion("END_AIREAD_ID not in", values, "endAireadId");
            return (Criteria) this;
        }

        public Criteria andEndAireadIdBetween(Integer value1, Integer value2) {
            addCriterion("END_AIREAD_ID between", value1, value2, "endAireadId");
            return (Criteria) this;
        }

        public Criteria andEndAireadIdNotBetween(Integer value1, Integer value2) {
            addCriterion("END_AIREAD_ID not between", value1, value2, "endAireadId");
            return (Criteria) this;
        }

        public Criteria andStartUsageIsNull() {
            addCriterion("START_USAGE is null");
            return (Criteria) this;
        }

        public Criteria andStartUsageIsNotNull() {
            addCriterion("START_USAGE is not null");
            return (Criteria) this;
        }

        public Criteria andStartUsageEqualTo(BigDecimal value) {
            addCriterion("START_USAGE =", value, "startUsage");
            return (Criteria) this;
        }

        public Criteria andStartUsageNotEqualTo(BigDecimal value) {
            addCriterion("START_USAGE <>", value, "startUsage");
            return (Criteria) this;
        }

        public Criteria andStartUsageGreaterThan(BigDecimal value) {
            addCriterion("START_USAGE >", value, "startUsage");
            return (Criteria) this;
        }

        public Criteria andStartUsageGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("START_USAGE >=", value, "startUsage");
            return (Criteria) this;
        }

        public Criteria andStartUsageLessThan(BigDecimal value) {
            addCriterion("START_USAGE <", value, "startUsage");
            return (Criteria) this;
        }

        public Criteria andStartUsageLessThanOrEqualTo(BigDecimal value) {
            addCriterion("START_USAGE <=", value, "startUsage");
            return (Criteria) this;
        }

        public Criteria andStartUsageIn(List<BigDecimal> values) {
            addCriterion("START_USAGE in", values, "startUsage");
            return (Criteria) this;
        }

        public Criteria andStartUsageNotIn(List<BigDecimal> values) {
            addCriterion("START_USAGE not in", values, "startUsage");
            return (Criteria) this;
        }

        public Criteria andStartUsageBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("START_USAGE between", value1, value2, "startUsage");
            return (Criteria) this;
        }

        public Criteria andStartUsageNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("START_USAGE not between", value1, value2, "startUsage");
            return (Criteria) this;
        }

        public Criteria andEndUsageIsNull() {
            addCriterion("END_USAGE is null");
            return (Criteria) this;
        }

        public Criteria andEndUsageIsNotNull() {
            addCriterion("END_USAGE is not null");
            return (Criteria) this;
        }

        public Criteria andEndUsageEqualTo(BigDecimal value) {
            addCriterion("END_USAGE =", value, "endUsage");
            return (Criteria) this;
        }

        public Criteria andEndUsageNotEqualTo(BigDecimal value) {
            addCriterion("END_USAGE <>", value, "endUsage");
            return (Criteria) this;
        }

        public Criteria andEndUsageGreaterThan(BigDecimal value) {
            addCriterion("END_USAGE >", value, "endUsage");
            return (Criteria) this;
        }

        public Criteria andEndUsageGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("END_USAGE >=", value, "endUsage");
            return (Criteria) this;
        }

        public Criteria andEndUsageLessThan(BigDecimal value) {
            addCriterion("END_USAGE <", value, "endUsage");
            return (Criteria) this;
        }

        public Criteria andEndUsageLessThanOrEqualTo(BigDecimal value) {
            addCriterion("END_USAGE <=", value, "endUsage");
            return (Criteria) this;
        }

        public Criteria andEndUsageIn(List<BigDecimal> values) {
            addCriterion("END_USAGE in", values, "endUsage");
            return (Criteria) this;
        }

        public Criteria andEndUsageNotIn(List<BigDecimal> values) {
            addCriterion("END_USAGE not in", values, "endUsage");
            return (Criteria) this;
        }

        public Criteria andEndUsageBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("END_USAGE between", value1, value2, "endUsage");
            return (Criteria) this;
        }

        public Criteria andEndUsageNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("END_USAGE not between", value1, value2, "endUsage");
            return (Criteria) this;
        }

        public Criteria andUsageDifferenceIsNull() {
            addCriterion("USAGE_DIFFERENCE is null");
            return (Criteria) this;
        }

        public Criteria andUsageDifferenceIsNotNull() {
            addCriterion("USAGE_DIFFERENCE is not null");
            return (Criteria) this;
        }

        public Criteria andUsageDifferenceEqualTo(BigDecimal value) {
            addCriterion("USAGE_DIFFERENCE =", value, "usageDifference");
            return (Criteria) this;
        }

        public Criteria andUsageDifferenceNotEqualTo(BigDecimal value) {
            addCriterion("USAGE_DIFFERENCE <>", value, "usageDifference");
            return (Criteria) this;
        }

        public Criteria andUsageDifferenceGreaterThan(BigDecimal value) {
            addCriterion("USAGE_DIFFERENCE >", value, "usageDifference");
            return (Criteria) this;
        }

        public Criteria andUsageDifferenceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("USAGE_DIFFERENCE >=", value, "usageDifference");
            return (Criteria) this;
        }

        public Criteria andUsageDifferenceLessThan(BigDecimal value) {
            addCriterion("USAGE_DIFFERENCE <", value, "usageDifference");
            return (Criteria) this;
        }

        public Criteria andUsageDifferenceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("USAGE_DIFFERENCE <=", value, "usageDifference");
            return (Criteria) this;
        }

        public Criteria andUsageDifferenceIn(List<BigDecimal> values) {
            addCriterion("USAGE_DIFFERENCE in", values, "usageDifference");
            return (Criteria) this;
        }

        public Criteria andUsageDifferenceNotIn(List<BigDecimal> values) {
            addCriterion("USAGE_DIFFERENCE not in", values, "usageDifference");
            return (Criteria) this;
        }

        public Criteria andUsageDifferenceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("USAGE_DIFFERENCE between", value1, value2, "usageDifference");
            return (Criteria) this;
        }

        public Criteria andUsageDifferenceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("USAGE_DIFFERENCE not between", value1, value2, "usageDifference");
            return (Criteria) this;
        }

        public Criteria andLeakageRateIsNull() {
            addCriterion("LEAKAGE_RATE is null");
            return (Criteria) this;
        }

        public Criteria andLeakageRateIsNotNull() {
            addCriterion("LEAKAGE_RATE is not null");
            return (Criteria) this;
        }

        public Criteria andLeakageRateEqualTo(BigDecimal value) {
            addCriterion("LEAKAGE_RATE =", value, "leakageRate");
            return (Criteria) this;
        }

        public Criteria andLeakageRateNotEqualTo(BigDecimal value) {
            addCriterion("LEAKAGE_RATE <>", value, "leakageRate");
            return (Criteria) this;
        }

        public Criteria andLeakageRateGreaterThan(BigDecimal value) {
            addCriterion("LEAKAGE_RATE >", value, "leakageRate");
            return (Criteria) this;
        }

        public Criteria andLeakageRateGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("LEAKAGE_RATE >=", value, "leakageRate");
            return (Criteria) this;
        }

        public Criteria andLeakageRateLessThan(BigDecimal value) {
            addCriterion("LEAKAGE_RATE <", value, "leakageRate");
            return (Criteria) this;
        }

        public Criteria andLeakageRateLessThanOrEqualTo(BigDecimal value) {
            addCriterion("LEAKAGE_RATE <=", value, "leakageRate");
            return (Criteria) this;
        }

        public Criteria andLeakageRateIn(List<BigDecimal> values) {
            addCriterion("LEAKAGE_RATE in", values, "leakageRate");
            return (Criteria) this;
        }

        public Criteria andLeakageRateNotIn(List<BigDecimal> values) {
            addCriterion("LEAKAGE_RATE not in", values, "leakageRate");
            return (Criteria) this;
        }

        public Criteria andLeakageRateBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LEAKAGE_RATE between", value1, value2, "leakageRate");
            return (Criteria) this;
        }

        public Criteria andLeakageRateNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LEAKAGE_RATE not between", value1, value2, "leakageRate");
            return (Criteria) this;
        }

        public Criteria andTaskStatusIsNull() {
            addCriterion("TASK_STATUS is null");
            return (Criteria) this;
        }

        public Criteria andTaskStatusIsNotNull() {
            addCriterion("TASK_STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andTaskStatusEqualTo(Byte value) {
            addCriterion("TASK_STATUS =", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusNotEqualTo(Byte value) {
            addCriterion("TASK_STATUS <>", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusGreaterThan(Byte value) {
            addCriterion("TASK_STATUS >", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusGreaterThanOrEqualTo(Byte value) {
            addCriterion("TASK_STATUS >=", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusLessThan(Byte value) {
            addCriterion("TASK_STATUS <", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusLessThanOrEqualTo(Byte value) {
            addCriterion("TASK_STATUS <=", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusIn(List<Byte> values) {
            addCriterion("TASK_STATUS in", values, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusNotIn(List<Byte> values) {
            addCriterion("TASK_STATUS not in", values, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusBetween(Byte value1, Byte value2) {
            addCriterion("TASK_STATUS between", value1, value2, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusNotBetween(Byte value1, Byte value2) {
            addCriterion("TASK_STATUS not between", value1, value2, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andMeasurementIntervalIsNull() {
            addCriterion("MEASUREMENT_INTERVAL is null");
            return (Criteria) this;
        }

        public Criteria andMeasurementIntervalIsNotNull() {
            addCriterion("MEASUREMENT_INTERVAL is not null");
            return (Criteria) this;
        }

        public Criteria andMeasurementIntervalEqualTo(Integer value) {
            addCriterion("MEASUREMENT_INTERVAL =", value, "measurementInterval");
            return (Criteria) this;
        }

        public Criteria andMeasurementIntervalNotEqualTo(Integer value) {
            addCriterion("MEASUREMENT_INTERVAL <>", value, "measurementInterval");
            return (Criteria) this;
        }

        public Criteria andMeasurementIntervalGreaterThan(Integer value) {
            addCriterion("MEASUREMENT_INTERVAL >", value, "measurementInterval");
            return (Criteria) this;
        }

        public Criteria andMeasurementIntervalGreaterThanOrEqualTo(Integer value) {
            addCriterion("MEASUREMENT_INTERVAL >=", value, "measurementInterval");
            return (Criteria) this;
        }

        public Criteria andMeasurementIntervalLessThan(Integer value) {
            addCriterion("MEASUREMENT_INTERVAL <", value, "measurementInterval");
            return (Criteria) this;
        }

        public Criteria andMeasurementIntervalLessThanOrEqualTo(Integer value) {
            addCriterion("MEASUREMENT_INTERVAL <=", value, "measurementInterval");
            return (Criteria) this;
        }

        public Criteria andMeasurementIntervalIn(List<Integer> values) {
            addCriterion("MEASUREMENT_INTERVAL in", values, "measurementInterval");
            return (Criteria) this;
        }

        public Criteria andMeasurementIntervalNotIn(List<Integer> values) {
            addCriterion("MEASUREMENT_INTERVAL not in", values, "measurementInterval");
            return (Criteria) this;
        }

        public Criteria andMeasurementIntervalBetween(Integer value1, Integer value2) {
            addCriterion("MEASUREMENT_INTERVAL between", value1, value2, "measurementInterval");
            return (Criteria) this;
        }

        public Criteria andMeasurementIntervalNotBetween(Integer value1, Integer value2) {
            addCriterion("MEASUREMENT_INTERVAL not between", value1, value2, "measurementInterval");
            return (Criteria) this;
        }

        public Criteria andMeasurementDateIsNull() {
            addCriterion("MEASUREMENT_DATE is null");
            return (Criteria) this;
        }

        public Criteria andMeasurementDateIsNotNull() {
            addCriterion("MEASUREMENT_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andMeasurementDateEqualTo(Date value) {
            addCriterionForJDBCDate("MEASUREMENT_DATE =", value, "measurementDate");
            return (Criteria) this;
        }

        public Criteria andMeasurementDateNotEqualTo(Date value) {
            addCriterionForJDBCDate("MEASUREMENT_DATE <>", value, "measurementDate");
            return (Criteria) this;
        }

        public Criteria andMeasurementDateGreaterThan(Date value) {
            addCriterionForJDBCDate("MEASUREMENT_DATE >", value, "measurementDate");
            return (Criteria) this;
        }

        public Criteria andMeasurementDateGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("MEASUREMENT_DATE >=", value, "measurementDate");
            return (Criteria) this;
        }

        public Criteria andMeasurementDateLessThan(Date value) {
            addCriterionForJDBCDate("MEASUREMENT_DATE <", value, "measurementDate");
            return (Criteria) this;
        }

        public Criteria andMeasurementDateLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("MEASUREMENT_DATE <=", value, "measurementDate");
            return (Criteria) this;
        }

        public Criteria andMeasurementDateIn(List<Date> values) {
            addCriterionForJDBCDate("MEASUREMENT_DATE in", values, "measurementDate");
            return (Criteria) this;
        }

        public Criteria andMeasurementDateNotIn(List<Date> values) {
            addCriterionForJDBCDate("MEASUREMENT_DATE not in", values, "measurementDate");
            return (Criteria) this;
        }

        public Criteria andMeasurementDateBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("MEASUREMENT_DATE between", value1, value2, "measurementDate");
            return (Criteria) this;
        }

        public Criteria andMeasurementDateNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("MEASUREMENT_DATE not between", value1, value2, "measurementDate");
            return (Criteria) this;
        }

        public Criteria andStationCodeLikeInsensitive(String value) {
            addCriterion("upper(STATION_CODE) like", value.toUpperCase(), "stationCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLikeInsensitive(String value) {
            addCriterion("upper(UNIT_CODE) like", value.toUpperCase(), "unitCode");
            return (Criteria) this;
        }

        public Criteria andCreateManLikeInsensitive(String value) {
            addCriterion("upper(CREATE_MAN) like", value.toUpperCase(), "createMan");
            return (Criteria) this;
        }
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2025-07-02 11:30:08
    */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2025-07-02 11:30:08
    */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}